#-------------------------------------------------------------------#
# Menu.pl							    #
#-------------------------------------------------------------------#
# CSS Buttons 4 YaBB 2.2					    #
# Version 1.0							    #
# by Carsten Dalgaard						    #
#-------------------------------------------------------------------#
# Copyright: 2007 'Carsten Dalgaard' - All Rights Reserved	    #
# Released: December 6, 2007					    #
# e-mail: carsten.dalgaard@gmail.com				    #
#-------------------------------------------------------------------#
# Any redistribution of this script without the expressed written   #
# consent of 'Carsten Dalgaard' is strictly prohibited. Copying     #
# any	of the code contained within this script and claiming it as #
# your own is also prohibited.					    #
#-------------------------------------------------------------------#
# By using this script you agree to indemnify 'Carsten Dalgaard'    #
# from any liability that might arise from its use.		    #
#-------------------------------------------------------------------#
# You may not remove any of these header notices.		    #
#-------------------------------------------------------------------#

$menuplver = 'YaBB 2.2 $Revision: 1.0 $';
if ($action eq 'detailedversion') { return 1; }

$imgext = "gif";

sub SetMenu {

fopen(MENUFILE, "$vardir/Menu.def");
%img = map /(.*),(.*)/, <MENUFILE>;
fclose(MENUFILE);

while (($key, $value) = each(%img)) {
	($button_icon, $button_text, $text_num, $alt_text, $alt_num, $span_class, $mod_or_not) = split(/\|/, $value);

	if(!$alt_text) {
		$alt_text = $button_text;
		$alt_num = $text_num;
	}
	if($mod_or_not eq 'tmp') {
		$button_imgurl = qq~$forumstylesurl/$usestyle~;
		if(!-e ("$forumstylesurl/$usestyle/$button_icon.$imgext")) {
			$button_imgurl = qq~$forumstylesurl/default~;
		}
	}
	else {
		$button_imgurl = qq~$modimgurl~;
	}
	if($key eq "help") { $helpstyle = qq~ cursor: help;~; } else { $helpstyle = qq~ cursor: pointer;~; }
	unless($key eq 'lastpost' || $key eq 'pollicon' || $key eq 'polliconnew' || $key eq 'polliconclosed') {
		if($UseMenuType == 0) {
			$menusep = ' ';
			$img{$key} = qq~<img src="$button_imgurl/$button_icon.$imgext" border="0" alt="${$alt_text}{$alt_num}" /> <span style="white-space: nowrap;" class="$span_class" title="${$alt_text}{$alt_num}">${$button_text}{$text_num}</span>~;
		}
		elsif($UseMenuType == 1) {
			$menusep = ' | ';
			$img{$key} = qq~<span style="white-space: nowrap;" class="$span_class" title="${$alt_text}{$alt_num}">${$button_text}{$text_num}</span>~;
		}
		else {
			$menusep = qq~<img src="$forumstylesurl/default/buttonsep.png" style="height: 20px; width: 1px; margin: 0px; padding: 0px; vertical-align: top; display: inline-block;" alt="" border="0" />~;
			$img{$key} = qq~<span class="buttonleft" title="${$alt_text}{$alt_num}" style="height: 20px; border: 0px; margin: 1px 1px; background-position: top left; background-repeat: no-repeat; text-decoration: none; font-size: 18px; vertical-align: top; display: inline-block;$helpstyle">~;
			$img{$key} .= qq~<span class="buttonright" style="height: 20px; border: 0px; margin: 0px; background-position: top right; background-repeat: no-repeat; text-decoration: none; font-size: 18px; vertical-align: top; display: inline-block;">~;
			$img{$key} .= qq~<span class="buttonimage" style="height: 20px; border: 0px; margin: 0px; background-image: url($button_imgurl/$button_icon.$imgext); background-repeat: no-repeat; vertical-align: top; text-decoration: none; font-size: 18px; display: inline-block;">~;
			$img{$key} .= qq~<span class="buttontext" style="height: 20px; border: 0px; margin: 0px; padding: 0px; text-align: left; text-decoration: none; vertical-align: top; white-space: nowrap; display: inline-block;">${$button_text}{$text_num}</span></span></span></span>~;
		}
	}
	else {
		$img{$key} = qq~<img src="$button_imgurl/$button_icon.$imgext" alt="${$button_text}{$text_num}" border="0" />~;
	}
}
}

1;
